# 
# Synthesis run script generated by Vivado
# 

set_msg_config -id {HDL 9-1061} -limit 100000
set_msg_config -id {HDL 9-1654} -limit 100000
create_project -in_memory -part xc7a35tcpg236-1

set_param project.singleFileAddWarning.threshold 0
set_param project.compositeFile.enableAutoGeneration 0
set_param synth.vivado.isSynthRun true
set_property webtalk.parent_dir {C:/Users/yen ping/Desktop/sophomore/硬體實驗/lab6/lab6/lab6.cache/wt} [current_project]
set_property parent.project_path {C:/Users/yen ping/Desktop/sophomore/硬體實驗/lab6/lab6/lab6.xpr} [current_project]
set_property default_lib xil_defaultlib [current_project]
set_property target_language Verilog [current_project]
set_property ip_repo_paths {{c:/Users/yen ping/Desktop/sophomore/硬體實驗/lab6/lab6/Keyboard Sample Code/ip}} [current_project]
add_files -quiet {{c:/Users/yen ping/Desktop/sophomore/硬體實驗/lab6/lab6/lab6.srcs/sources_1/ip/KeyboardCtrl_0/KeyboardCtrl_0.dcp}}
set_property used_in_implementation false [get_files {{c:/Users/yen ping/Desktop/sophomore/硬體實驗/lab6/lab6/lab6.srcs/sources_1/ip/KeyboardCtrl_0/KeyboardCtrl_0.dcp}}]
read_verilog -library xil_defaultlib {
  {C:/Users/yen ping/Desktop/sophomore/硬體實驗/lab6/lab6/Keyboard Sample Code/OnePulse.v}
  {C:/Users/yen ping/Desktop/sophomore/硬體實驗/lab6/lab6/lab6.srcs/sources_1/new/frequency_ctrl.v}
  {C:/Users/yen ping/Desktop/sophomore/硬體實驗/lab6/lab6/Keyboard Sample Code/KeyboardDecoder.v}
  {C:/Users/yen ping/Desktop/sophomore/硬體實驗/lab6/lab6/lab6.srcs/sources_1/new/seven_seg.v}
  {C:/Users/yen ping/Desktop/sophomore/硬體實驗/lab6/lab6/clock_divider.v}
  {C:/Users/yen ping/Desktop/sophomore/硬體實驗/lab6/lab6/lab6.srcs/sources_1/new/lab6.v}
}
foreach dcp [get_files -quiet -all *.dcp] {
  set_property used_in_implementation false $dcp
}
read_xdc {{C:/Users/yen ping/Desktop/sophomore/硬體實驗/lab6/lab6/Keyboard Sample Code/KeyboardConstraints.xdc}}
set_property used_in_implementation false [get_files {{C:/Users/yen ping/Desktop/sophomore/硬體實驗/lab6/lab6/Keyboard Sample Code/KeyboardConstraints.xdc}}]


synth_design -top lab6 -part xc7a35tcpg236-1


write_checkpoint -force -noxdef lab6.dcp

catch { report_utilization -file lab6_utilization_synth.rpt -pb lab6_utilization_synth.pb }
